Page MenuHomePhabricator

Investigate and implement the cross-language search function in the GUI
Closed, ResolvedPublic

Description

Implement the GUI for cross-language search.

  • The user can search ElasticSearch in any language; we can reuse the facets to filter what language is searched.
  • A language selector to "convert" all messages (keys) to their corresponding messages in another languages.
  • A switch to show all, untranslated, translated, outdated messages. Example: Nikerabbit> Nemo_bis: search for "please log in" finds one message in English. If your target language is, say hippopotania, it is not translated in that language but we can display it as untranslated message and allow user to translate it there

Event Timeline

Phoenix303 updated the task description. (Show Details)
Phoenix303 raised the priority of this task from to Needs Triage.
Phoenix303 claimed this task.
Phoenix303 added a project: Translation-search.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2015, 3:28 PM
Nemo_bis updated the task description. (Show Details)May 25 2015, 11:24 AM
Nemo_bis set Security to None.
Nemo_bis triaged this task as Normal priority.
Phoenix303 added a comment.EditedJul 16 2015, 7:22 AM

Hi @Nikerabbit @Nemo_bis

I would like to propose a design for Cross language search.

  • We can add a dropdown(acts as a switch between translated, untranslated and outdated messages) and language selector to the current interface.
NOTE: dropdown can be replaced by tabs we are using currently.

  • A user can get corresponding message keys from the selected language in the language facet to the language selected in the language selector as shown in the diagram.

  • Replaced dropdown in the previous image with tabs

Please provide your feedback, meanwhile I will be working on another report. The current GUI can be found here.

I prefer the current tabs without source language choice. The proposed method with facet + language selector is confusing because the facets vary their meaning compared to the case where we're searching messages in language X which contain the query string.

Let's focus on the current patch to get the minimum viable product out.

Thanks @Nemo_bis for the feedback.

Nemo_bis closed this task as Resolved.Aug 17 2015, 8:47 AM

As GUI we just used the Special:Translate-like tabs, like:

Messages containing
Translations from English of
No translations from English of
...